Bug 1435393 (CVE-2017-2664)

Summary: CVE-2017-2664 CloudForms: lack of RBAC on various methods in web UI
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: amaris, cpelland, dajohnso, dclarizi, gblomqui, gmccullo, gtanzill, hhudgeon, jfrey, jhardy, jprause, jrafanie, kseifried, mpovolny, obarenbo, roliveri, security-response-team, simaishi
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: cfme 5.7.3, cfme 5.8.1 Doc Type: If docs needed, set a value
Doc Text:
CloudForms lacks RBAC controls on certain methods in the rails application portion of CloudForms. An attacker with access could use a variety of methods within the rails applications portion of CloudForms to escalate privileges.
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-02 19:12:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1435399, 1435400    
Bug Blocks: 1434772, 1435396    

Description Kurt Seifried 2017-03-23 17:20:52 UTC
Libor Pichler and Martin Povolny report:

Cloudforms lacks RBAC controls on a variety of methods potentially allowing authenticated users to escalate privileges and use methods they should not have access to.

Comment 1 Kurt Seifried 2017-03-23 17:21:04 UTC
Acknowledgments:

Name: Libor Pichler (Red Hat), Martin Povolny (Red Hat)

Comment 3 Kurt Seifried 2017-03-27 21:01:15 UTC
*** Bug 1434771 has been marked as a duplicate of this bug. ***

Comment 6 errata-xmlrpc 2017-08-02 17:35:25 UTC
This issue has been addressed in the following products:

  CloudForms Management Engine 5.8

Via RHSA-2017:1758 https://access.redhat.com/errata/RHSA-2017:1758

Comment 7 errata-xmlrpc 2017-12-18 20:24:57 UTC
This issue has been addressed in the following products:

  CloudForms Management Engine 5.7

Via RHSA-2017:3484 https://access.redhat.com/errata/RHSA-2017:3484